Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
ossl_hmac.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | Init_ossl_hmac (void)

## Variables
VALUE | cHMAC
VALUE | eHMACError

## Function Documentation

void Init_ossl_hmac | ( | void |  | ) |

Definition at line 237 of file ossl_hmac.c.

References cHMAC, eHMACError, eOSSLError, mOSSL, ossl_hmac_alloc(), ossl_hmac_copy(), ossl_hmac_digest(), ossl_hmac_hexdigest(), ossl_hmac_initialize(), ossl_hmac_reset(), ossl_hmac_s_digest(), ossl_hmac_s_hexdigest(), ossl_hmac_update(), rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_copy_func, rb_define_method(), rb_define_module(), and rb_define_singleton_method().

Referenced by Init_openssl().

## Variable Documentation

VALUE cHMAC

Definition at line 31 of file ossl_hmac.c.

Referenced by Init_ossl_hmac().

VALUE eHMACError

Definition at line 32 of file ossl_hmac.c.

Referenced by hmac_final(), Init_ossl_hmac(), ossl_hmac_hexdigest(), and ossl_hmac_s_hexdigest().